# rope File Reference

`#include <bits/stl_algobase.h>`
`#include <bits/stl_algo.h>`
`#include <bits/stl_function.h>`
`#include <bits/stl_numeric.h>`
`#include <bits/stl_alloc.h>`
`#include <bits/stl_construct.h>`
`#include <bits/stl_uninitialized.h>`
`#include <ext/stl_hash_fun.h>`
`#include <ext/stl_rope.h>`

Include dependency graph for rope:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). You should only include this header if you are using GCC 3 or later.

Definition in file rope.